package cn.com.infosec.mobile.android;

import android.content.Context;
import android.content.SharedPreferences;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.otp.InfosecOTP;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.Util;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONException;
import org.json.JSONObject;

public class IMSUserAction extends IMSAction {
   public IMSUserAction(Context context) {
      super(context);
   }

   public Map<String, String> signupBegin(@NonNull String userName, @NonNull String signCode) {
      IMSUserAction var10000;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(signCode)) {
         var10000 = this;
         this.writeCacheData("USER_NAME", userName);
         this.writeCacheData("TATTED_CODE", signCode);
         HashMap var4;
         HashMap var5 = var4 = new HashMap;
         var5.<init>();
         var5.put("username", userName);
         var5.put("tattedcode", signCode);
         if (var10000.isCollaborative()) {
            var4.put("sm2pubkey", (new InfosecOTP()).getPubKey(userName.concat("_").concat("COLLABORATIVE_OTP_SEED")));
         }

         var4.put("imei", Util.getIdentifier(IMSSdk.mContext));
         return var4;
      } else {
         var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var3;
         String[] var10003 = var3 = new String[2];
         var10003[0] = userName;
         var10003[1] = signCode;
         var10001.log(var10002, "签约失败:参数不合法", var3);
         XLog.d("签约失败:参数不合法" + Arrays.toString(new String[]{userName, signCode}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   public Result signupFinal(JSONObject responseData) {
      JSONException var10000;
      label223: {
         boolean var10001;
         Result var38;
         try {
            var38 = this.checkResponseData(responseData);
         } catch (JSONException var32) {
            var10000 = var32;
            var10001 = false;
            break label223;
         }

         Result var2 = var38;
         String var39 = "000000";

         boolean var40;
         try {
            var40 = TextUtils.equals(var39, var2.getResultID());
         } catch (JSONException var31) {
            var10000 = var31;
            var10001 = false;
            break label223;
         }

         if (!var40) {
            try {
               XLog.d("签约失败：" + var2.getResultID());
               return var2;
            } catch (JSONException var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label224: {
               IMSUserAction var10002;
               String var10003;
               IMSUserAction var41;
               IMSUserAction var42;
               try {
                  var41 = this;
                  var42 = this;
                  var10002 = this;
                  var10003 = (String)this.readCacheData("USER_NAME");
               } catch (JSONException var30) {
                  var10000 = var30;
                  var10001 = false;
                  break label224;
               }

               String var35 = var10003;

               String var43;
               try {
                  var43 = (String)var10002.readCacheData("TATTED_CODE");
               } catch (JSONException var29) {
                  var10000 = var29;
                  var10001 = false;
                  break label224;
               }

               String var3 = var43;

               SharedPreferences.Editor var45;
               try {
                  var45 = var42.getUserSP(var35).edit();
               } catch (JSONException var28) {
                  var10000 = var28;
                  var10001 = false;
                  break label224;
               }

               SharedPreferences.Editor var4;
               SharedPreferences.Editor var44 = var4 = var45;

               SharedPreferences.Editor var10004;
               JSONObject var10005;
               SharedPreferences.Editor var10006;
               JSONObject var10007;
               SharedPreferences.Editor var10008;
               JSONObject var10009;
               SharedPreferences.Editor var10010;
               JSONObject var10011;
               SharedPreferences.Editor var10012;
               JSONObject var10013;
               SharedPreferences.Editor var10014;
               JSONObject var10015;
               SharedPreferences.Editor var10016;
               JSONObject var46;
               try {
                  var46 = responseData;
                  var10004 = var4;
                  var10005 = responseData;
                  var10006 = var4;
                  var10007 = responseData;
                  var10008 = var4;
                  var10009 = responseData;
                  var10010 = var4;
                  var10011 = responseData;
                  var10012 = var4;
                  var10013 = responseData;
                  var10014 = var4;
                  var10015 = responseData;
                  var10016 = var4;
                  var4.putString("userName", var35);
               } catch (JSONException var27) {
                  var10000 = var27;
                  var10001 = false;
                  break label224;
               }

               try {
                  var10016.putString("signCode", var3);
               } catch (JSONException var26) {
                  var10000 = var26;
                  var10001 = false;
                  break label224;
               }

               var3 = "mobileNo";

               try {
                  var10014.putString(var3, var10015.optString("mobile"));
               } catch (JSONException var25) {
                  var10000 = var25;
                  var10001 = false;
                  break label224;
               }

               var3 = "realName";

               try {
                  var10012.putString(var3, var10013.optString("realname"));
               } catch (JSONException var24) {
                  var10000 = var24;
                  var10001 = false;
                  break label224;
               }

               var3 = "email";

               try {
                  var10010.putString(var3, var10011.optString("email"));
               } catch (JSONException var23) {
                  var10000 = var23;
                  var10001 = false;
                  break label224;
               }

               var3 = "isCertEnable";

               try {
                  var10008.putInt(var3, var10009.optInt("iscert"));
               } catch (JSONException var22) {
                  var10000 = var22;
                  var10001 = false;
                  break label224;
               }

               var3 = "isTokenEnable";

               try {
                  var10006.putInt(var3, var10007.optInt("istoken"));
               } catch (JSONException var21) {
                  var10000 = var21;
                  var10001 = false;
                  break label224;
               }

               var3 = "keyLength";

               try {
                  var10004.putInt(var3, var10005.optInt("keylength"));
               } catch (JSONException var20) {
                  var10000 = var20;
                  var10001 = false;
                  break label224;
               }

               var3 = "algorithm";

               try {
                  var44.putString(var3, var46.optString("algorithm"));
               } catch (JSONException var19) {
                  var10000 = var19;
                  var10001 = false;
                  break label224;
               }

               try {
                  var45.apply();
                  var40 = var41.isCollaborative();
               } catch (JSONException var18) {
                  var10000 = var18;
                  var10001 = false;
                  break label224;
               }

               if (var40) {
                  try {
                     var40 = responseData.has("seed");
                  } catch (JSONException var17) {
                     var10000 = var17;
                     var10001 = false;
                     break label224;
                  }

                  if (var40) {
                     try {
                        var39 = responseData.getString("seed");
                     } catch (JSONException var16) {
                        var10000 = var16;
                        var10001 = false;
                        break label224;
                     }

                     var3 = var39;

                     InfosecOTP var48;
                     try {
                        var48 = new InfosecOTP;
                     } catch (JSONException var15) {
                        var10000 = var15;
                        var10001 = false;
                        break label224;
                     }

                     InfosecOTP var47 = var48;

                     try {
                        var47.<init>();
                        var48.writeSeed(var35.concat("_").concat("COLLABORATIVE_OTP_SEED"), var3, var35);
                     } catch (JSONException var14) {
                        var10000 = var14;
                        var10001 = false;
                        break label224;
                     }
                  }
               }

               SharedPreferences var49;
               try {
                  var49 = this.getGlobalSP();
               } catch (JSONException var13) {
                  var10000 = var13;
                  var10001 = false;
                  break label224;
               }

               SharedPreferences var33 = var49;

               Set var51;
               try {
                  var51 = var49.getStringSet("REGISTED_USERS", (Set)null);
               } catch (JSONException var12) {
                  var10000 = var12;
                  var10001 = false;
                  break label224;
               }

               Set var37 = var51;

               HashSet var50;
               try {
                  var50 = new HashSet;
               } catch (JSONException var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label224;
               }

               HashSet var36 = var50;

               try {
                  var50.<init>();
               } catch (JSONException var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label224;
               }

               if (var51 != null) {
                  int var52;
                  try {
                     var52 = var37.size();
                  } catch (JSONException var9) {
                     var10000 = var9;
                     var10001 = false;
                     break label224;
                  }

                  if (var52 > 0) {
                     try {
                        var36.addAll(var37);
                     } catch (JSONException var8) {
                        var10000 = var8;
                        var10001 = false;
                        break label224;
                     }
                  }
               }

               try {
                  var49 = var33;
                  var36.add(var35);
               } catch (JSONException var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label224;
               }

               try {
                  var49.edit().putStringSet("REGISTED_USERS", var36).apply();
                  XLog.d("签约成功");
                  return new Result(responseData.getString("resultcode"));
               } catch (JSONException var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var34 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "签约失败:JSON异常", var34);
      XLog.d("签约失败:JSON异常：" + var34);
      return new Result("IE1008", responseData.toString());
   }

   public List<String> getSignedUsers() {
      IMSUserAction var10000 = this;
      ArrayList var2;
      var2 = new ArrayList.<init>();
      Set var1;
      if ((var1 = var10000.getGlobalSP().getStringSet("REGISTED_USERS", (Set)null)) != null && var1.size() > 0) {
         var2.addAll(var1);
      }

      return var2;
   }

   public String getSignCode(String userName) {
      return this.getUserSP(userName).getString("signCode", (String)null);
   }

   public String getMobileNo(String userName) {
      return this.getUserSP(userName).getString("mobileNo", (String)null);
   }

   public String getEmail(String userName) {
      return this.getUserSP(userName).getString("email", (String)null);
   }

   public String getRealName(String userName) {
      return this.getUserSP(userName).getString("realName", (String)null);
   }

   public boolean isLocked(String userName) {
      return this.getUserSP(userName).getBoolean("USER_LOCKED", false);
   }

   public boolean isCertUser(String userName) {
      return 1 == this.getUserSP(userName).getInt("isCertEnable", 0);
   }

   public boolean isTokenUser(String userName) {
      return 1 == this.getUserSP(userName).getInt("isTokenEnable", 0);
   }

   public boolean deleteUser(String userName) {
      if (TextUtils.isEmpty(userName)) {
         return false;
      } else {
         this.getUserSP(userName).edit().clear().apply();
         Object var2;
         if ((var2 = this.getGlobalSP().getStringSet("REGISTED_USERS", (Set)null)) == null) {
            var2 = new HashSet.<init>();
         }

         if (!((Set)var2).contains(userName)) {
            return false;
         } else {
            HashSet var3;
            HashSet var10001 = var3 = new HashSet;
            var3.<init>((Collection)var2);
            var10001.remove(userName);
            this.getGlobalSP().edit().putStringSet("REGISTED_USERS", var3).apply();
            (new IMSCertAction(super.context)).clearCertData(userName);
            (new IMSTokenAction(super.context)).clearTokenData(userName);
            XLog.d("删除用户成功");
            return true;
         }
      }
   }

   public Map<String, String> lockBegin(@NonNull String userName) {
      if (TextUtils.isEmpty(userName)) {
         IMSUserAction var2 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var3;
         (var3 = new String[1])[0] = userName;
         var10001.log(var10002, "锁定失败:参数不合法", var3);
         XLog.d("锁定失败:参数不合法" + Arrays.toString(new String[]{userName}));
         var2.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         HashMap var10000 = new HashMap();
         var10000.put("username", userName);
         var10000.put("imei", Util.getIdentifier(IMSSdk.mContext));
         return var10000;
      }
   }

   public Result lockFinal(String userName, JSONObject responseData) {
      JSONException var10000;
      label43: {
         Result var10;
         boolean var10001;
         try {
            var10 = this.checkResponseData(responseData);
         } catch (JSONException var8) {
            var10000 = var8;
            var10001 = false;
            break label43;
         }

         Result var3 = var10;
         String var11 = "000000";

         boolean var12;
         try {
            var12 = TextUtils.equals(var11, var3.getResultID());
         } catch (JSONException var7) {
            var10000 = var7;
            var10001 = false;
            break label43;
         }

         if (!var12) {
            try {
               XLog.d("锁定用户失败：" + var3.getResultID());
               return var3;
            } catch (JSONException var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label44: {
               SharedPreferences.Editor var13;
               try {
                  var13 = this.getUserSP(userName).edit();
                  var13.putBoolean("USER_LOCKED", true);
               } catch (JSONException var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label44;
               }

               try {
                  var13.apply();
                  XLog.d("锁定用户成功");
                  return new Result(responseData.getString("resultcode"));
               } catch (JSONException var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var9 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "锁定失败:JSON异常", var9);
      XLog.d("锁定失败:JSON异常：" + var9);
      return new Result("IE1008", responseData.toString());
   }

   public Map<String, String> unLockBegin(@NonNull String userName, @NonNull String unLockCode) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(unLockCode)) {
         HashMap var4 = new HashMap();
         var4.put("username", userName);
         var4.put("locktrade", unLockCode);
         var4.put("imei", Util.getIdentifier(IMSSdk.mContext));
         return var4;
      } else {
         IMSUserAction var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var3;
         String[] var10003 = var3 = new String[2];
         var10003[0] = userName;
         var10003[1] = unLockCode;
         var10001.log(var10002, "解锁失败:参数不合法", var3);
         XLog.d("解锁失败:参数不合法" + Arrays.toString(new String[]{userName, unLockCode}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   public Result unLockFinal(String userName, JSONObject responseData) {
      JSONException var10000;
      label43: {
         Result var10;
         boolean var10001;
         try {
            var10 = this.checkResponseData(responseData);
         } catch (JSONException var8) {
            var10000 = var8;
            var10001 = false;
            break label43;
         }

         Result var3 = var10;
         String var11 = "000000";

         boolean var12;
         try {
            var12 = TextUtils.equals(var11, var3.getResultID());
         } catch (JSONException var7) {
            var10000 = var7;
            var10001 = false;
            break label43;
         }

         if (!var12) {
            try {
               XLog.d("解锁失败：" + var3.getResultID());
               return var3;
            } catch (JSONException var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label44: {
               SharedPreferences.Editor var13;
               try {
                  var13 = this.getUserSP(userName).edit();
                  var13.putBoolean("USER_LOCKED", false);
               } catch (JSONException var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label44;
               }

               try {
                  var13.apply();
                  XLog.d("解锁成功");
                  return new Result(responseData.getString("resultcode"));
               } catch (JSONException var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var9 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "解锁失败:JSON异常", var9);
      XLog.d("解锁失败:JSON异常：" + var9);
      return new Result("IE1008", responseData.toString());
   }

   public Map<String, String> newUserBegin(@NonNull String userName, @NonNull String realName, @NonNull String mobileNo, @NonNull String emailAddr, int regCodeFlag, int userType) {
      String[] var7;
      IMSUserAction var10000;
      Logger var10001;
      Level var10002;
      String[] var10003;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(realName)) {
         if (2 == regCodeFlag && TextUtils.isEmpty(mobileNo)) {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            var10003 = var7 = new String[5];
            var7[0] = userName;
            var7[1] = realName;
            var7[2] = mobileNo;
            var7[3] = emailAddr;
            var10003[4] = String.valueOf(regCodeFlag);
            var10001.log(var10002, "添加新用户失败:指定发送到手机但手机号为空", var7);
            XLog.d("添加新用户失败：添加新用户失败:指定发送到手机但手机号为空" + Arrays.toString(new String[]{userName, realName, mobileNo, emailAddr, String.valueOf(regCodeFlag)}));
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         } else if (1 == regCodeFlag && TextUtils.isEmpty(emailAddr)) {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            var10003 = var7 = new String[5];
            var7[0] = userName;
            var7[1] = realName;
            var7[2] = mobileNo;
            var7[3] = emailAddr;
            var10003[4] = String.valueOf(regCodeFlag);
            var10001.log(var10002, "添加新用户失败:指定发送到邮箱但地址为空", var7);
            XLog.d("添加新用户失败：添加新用户失败:指定发送到邮箱但地址为空" + Arrays.toString(new String[]{userName, realName, mobileNo, emailAddr, String.valueOf(regCodeFlag)}));
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            HashMap var8;
            HashMap var9 = var8 = new HashMap;
            var8.<init>();
            var8.put("username", userName);
            var8.put("realname", realName);
            var8.put("flag", String.valueOf(regCodeFlag));
            var9.put("istoken", String.valueOf(userType));
            if (!TextUtils.isEmpty(mobileNo)) {
               var8.put("mobile", mobileNo);
            }

            if (!TextUtils.isEmpty(emailAddr)) {
               var8.put("email", emailAddr);
            }

            var8.put("imei", Util.getIdentifier(IMSSdk.mContext));
            return var8;
         }
      } else {
         var10000 = this;
         var10001 = IMSSdk.mLogger;
         var10002 = Level.SEVERE;
         var10003 = var7 = new String[5];
         var7[0] = userName;
         var7[1] = realName;
         var7[2] = mobileNo;
         var7[3] = emailAddr;
         var10003[4] = String.valueOf(regCodeFlag);
         var10001.log(var10002, "添加新用户失败:参数不合法", var7);
         XLog.d("添加新用户失败：添加新用户失败:参数不合法" + Arrays.toString(new String[]{userName, realName, mobileNo, emailAddr, String.valueOf(regCodeFlag)}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   public Result newUserFinal(JSONObject responseData) {
      JSONException var10000;
      label43: {
         Result var10;
         boolean var10001;
         try {
            var10 = this.checkResponseData(responseData);
         } catch (JSONException var6) {
            var10000 = var6;
            var10001 = false;
            break label43;
         }

         Result var7 = var10;
         String var11 = "000000";

         boolean var12;
         try {
            var12 = TextUtils.equals(var11, var7.getResultID());
         } catch (JSONException var5) {
            var10000 = var5;
            var10001 = false;
            break label43;
         }

         if (!var12) {
            try {
               XLog.d("添加新用户失败：" + var7.getResultID());
               return var7;
            } catch (JSONException var2) {
               var10000 = var2;
               var10001 = false;
            }
         } else {
            label44: {
               try {
                  var11 = responseData.getString("uid");
               } catch (JSONException var4) {
                  var10000 = var4;
                  var10001 = false;
                  break label44;
               }

               String var8 = var11;

               try {
                  XLog.d("添加新用户成功");
                  return new Result(responseData.getString("resultcode"), var8);
               } catch (JSONException var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var9 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "添加新用户失败:JSON异常", var9);
      XLog.d("添加新用户失败:JSON异常：" + var9);
      return new Result("IE1008", responseData.toString());
   }

   public Map<String, String> signCodeBegin(@NonNull String userName, @NonNull String uid, int regCodeFlag) {
      if (TextUtils.isEmpty(userName) && TextUtils.isEmpty(uid)) {
         IMSUserAction var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var5;
         String[] var10003 = var5 = new String[3];
         var5[0] = userName;
         var5[1] = uid;
         var10003[2] = String.valueOf(regCodeFlag);
         var10001.log(var10002, "获取签约码失败:参数不合法", var5);
         XLog.d("获取签约码失败:参数不合法" + Arrays.toString(new String[]{userName, uid, String.valueOf(regCodeFlag)}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         HashMap var4;
         var4 = new HashMap.<init>();
         if (TextUtils.isEmpty(uid)) {
            var4.put("username", userName);
            var4.put("imei", Util.getIdentifier(IMSSdk.mContext));
         } else {
            var4.put("uid", uid);
         }

         var4.put("flag", String.valueOf(regCodeFlag));
         return var4;
      }
   }

   public Result signCodeFinal(JSONObject responseData) {
      try {
         return this.checkResponseData(responseData);
      } catch (JSONException var2) {
         IMSSdk.mLogger.log(Level.SEVERE, "获取签约码失败:JSON异常", var2);
         XLog.d("获取签约码失败:JSON异常：" + var2);
         return new Result("IE1008", responseData.toString());
      }
   }

   public Map<String, String> statusOnLineBegin(@NonNull String userName) {
      if (TextUtils.isEmpty(userName)) {
         IMSSdk.mLogger.log(Level.SEVERE, "获取状态失败:参数不合法", userName);
         XLog.d("获取状态失败:参数不合法" + userName);
         this.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         HashMap var10000 = new HashMap();
         var10000.put("username", userName);
         var10000.put("imei", Util.getIdentifier(IMSSdk.mContext));
         return var10000;
      }
   }

   public Result statusOnLineFinal(JSONObject responseData) {
      JSONException var10000;
      label51: {
         Result var10;
         boolean var10001;
         try {
            var10 = this.checkResponseData(responseData);
         } catch (JSONException var7) {
            var10000 = var7;
            var10001 = false;
            break label51;
         }

         Result var8 = var10;
         String var11 = "000000";

         boolean var12;
         try {
            var12 = TextUtils.equals(var11, var8.getResultID());
         } catch (JSONException var6) {
            var10000 = var6;
            var10001 = false;
            break label51;
         }

         if (!var12) {
            try {
               XLog.d("获取状态失败：" + var8.getResultID());
               return var8;
            } catch (JSONException var2) {
               var10000 = var2;
               var10001 = false;
            }
         } else {
            label52: {
               try {
                  var10 = new Result;
               } catch (JSONException var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label52;
               }

               Result var13 = var8 = var10;

               JSONObject var10002;
               try {
                  var10002 = responseData;
                  var8.<init>(responseData.getString("resultcode"));
                  responseData.remove("resultcode");
               } catch (JSONException var4) {
                  var10000 = var4;
                  var10001 = false;
                  break label52;
               }

               try {
                  var13.setResultDesc(var10002.toString());
                  XLog.d("获取状态成功");
                  return var10;
               } catch (JSONException var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var9 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "获取状态失败:JSON异常", var9);
      XLog.d("获取状态失败:JSON异常：" + var9);
      return new Result("IE1008", responseData.toString());
   }

   public Map<String, String> updateUserForAllBegin(String uid, String userName, @NonNull String realname, String email, String mobile) {
      if (TextUtils.isEmpty(realname)) {
         IMSSdk.mLogger.log(Level.SEVERE, "更新用户失败:参数不合法，真实姓名为空");
         XLog.d("更新用户失败:参数不合法，真实姓名为空");
         this.setLatestResult(new Result("IE1013"));
         return null;
      } else if (TextUtils.isEmpty(userName) && TextUtils.isEmpty(uid)) {
         IMSUserAction var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var7;
         String[] var10003 = var7 = new String[2];
         var10003[0] = userName;
         var10003[1] = uid;
         var10001.log(var10002, "更新用户失败:参数不合法", var7);
         XLog.d("更新用户失败:参数不合法" + Arrays.toString(new String[]{userName, uid}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         HashMap var6;
         var6 = new HashMap.<init>();
         if (TextUtils.isEmpty(uid)) {
            var6.put("username", userName);
            var6.put("imei", Util.getIdentifier(IMSSdk.mContext));
         } else {
            var6.put("uid", uid);
         }

         var6.put("email", email);
         var6.put("mobile", mobile);
         var6.put("realname", realname);
         return var6;
      }
   }

   public Result updateUserForAllFinal(String userName, String emailAddress, @NonNull String realname, String mobile, JSONObject responseData) {
      JSONException var10000;
      label75: {
         boolean var10001;
         Result var18;
         try {
            var18 = this.checkResponseData(responseData);
         } catch (JSONException var15) {
            var10000 = var15;
            var10001 = false;
            break label75;
         }

         Result var6 = var18;
         String var19 = "000000";

         boolean var20;
         try {
            var20 = TextUtils.equals(var19, var6.getResultID());
         } catch (JSONException var14) {
            var10000 = var14;
            var10001 = false;
            break label75;
         }

         if (!var20) {
            try {
               XLog.d("更新信息失败：" + var6.getResultID());
               return var6;
            } catch (JSONException var7) {
               var10000 = var7;
               var10001 = false;
            }
         } else {
            label76: {
               SharedPreferences.Editor var10002;
               SharedPreferences.Editor var21;
               SharedPreferences.Editor var22;
               try {
                  var21 = this.getUserSP(userName).edit();
                  var22 = var21;
                  var10002 = var21;
                  var21.putString("email", emailAddress);
               } catch (JSONException var13) {
                  var10000 = var13;
                  var10001 = false;
                  break label76;
               }

               try {
                  var10002.putString("mobileNo", mobile);
               } catch (JSONException var12) {
                  var10000 = var12;
                  var10001 = false;
                  break label76;
               }

               try {
                  var22.putString("realName", realname);
               } catch (JSONException var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label76;
               }

               try {
                  var21.apply();
                  var18 = new Result;
               } catch (JSONException var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label76;
               }

               Result var16;
               Result var24 = var16 = var18;

               JSONObject var23;
               try {
                  var23 = responseData;
                  var16.<init>(responseData.getString("resultcode"));
                  responseData.remove("resultcode");
               } catch (JSONException var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label76;
               }

               try {
                  var24.setResultDesc(var23.toString());
                  XLog.d("更新信息成功");
                  return var18;
               } catch (JSONException var8) {
                  var10000 = var8;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var17 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "更新信息失败:JSON异常", var17);
      XLog.d("更新信息失败:JSON异常：" + var17);
      return new Result("IE1008", responseData.toString());
   }

   public Map<String, String> updateEmailBegin(@NonNull String userName, @NonNull String uid, @NonNull String emailAddress) {
      if (TextUtils.isEmpty(userName) && TextUtils.isEmpty(uid)) {
         IMSUserAction var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var5;
         String[] var10003 = var5 = new String[2];
         var10003[0] = userName;
         var10003[1] = uid;
         var10001.log(var10002, "邮箱更新失败:参数不合法", var5);
         XLog.d("邮箱更新失败:参数不合法" + Arrays.toString(new String[]{userName, uid}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         HashMap var4;
         var4 = new HashMap.<init>();
         if (TextUtils.isEmpty(uid)) {
            var4.put("username", userName);
            var4.put("imei", Util.getIdentifier(IMSSdk.mContext));
         } else {
            var4.put("uid", uid);
         }

         var4.put("email", emailAddress);
         this.writeCacheData("email", emailAddress);
         return var4;
      }
   }

   public Result updateEmailFinal(@NonNull String userName, JSONObject responseData) {
      JSONException var10000;
      label67: {
         Result var15;
         boolean var10001;
         try {
            var15 = this.checkResponseData(responseData);
         } catch (JSONException var11) {
            var10000 = var11;
            var10001 = false;
            break label67;
         }

         Result var3 = var15;
         String var16 = "000000";

         boolean var17;
         try {
            var17 = TextUtils.equals(var16, var3.getResultID());
         } catch (JSONException var10) {
            var10000 = var10;
            var10001 = false;
            break label67;
         }

         if (!var17) {
            try {
               XLog.d("更新邮箱失败：" + var3.getResultID());
               return var3;
            } catch (JSONException var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label68: {
               SharedPreferences.Editor var18;
               try {
                  var18 = this.getUserSP(userName).edit();
               } catch (JSONException var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label68;
               }

               SharedPreferences.Editor var19 = var18;
               IMSUserAction var10002 = this;
               String var12 = "email";

               try {
                  var19.putString(var12, (String)var10002.readCacheData("email"));
               } catch (JSONException var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label68;
               }

               try {
                  var18.apply();
                  var15 = new Result;
               } catch (JSONException var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label68;
               }

               Result var13;
               Result var21 = var13 = var15;

               JSONObject var20;
               try {
                  var20 = responseData;
                  var13.<init>(responseData.getString("resultcode"));
                  responseData.remove("resultcode");
               } catch (JSONException var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label68;
               }

               try {
                  var21.setResultDesc(var20.toString());
                  XLog.d("更新邮箱成功");
                  return var15;
               } catch (JSONException var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      JSONException var14 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "更新邮箱失败:JSON异常", var14);
      XLog.d("更新邮箱失败:JSON异常：" + var14);
      return new Result("IE1008", responseData.toString());
   }
}
